/* Using the indirect addressing mode instruction st
 * preload registers  r0 to r20 with values 21 to 1
 * Hint: SRAM address 0x0000 to 0x0001F map to registers r0 to r31 
 */

.INCLUDE <m328pdef.inc>
Setup:
    rcall PreReg0_20
	rjmp  Setup

PreReg0_20:
    clr  XH      ; r27
	clr  XL      ; r26
    ldi  r24,21  ; clear registers r0 to r20
reg_loop:  
    st   X+,r24
	dec  r24
	brne reg_loop
	ret
